Subject: Re: linux-next: manual merge of the tty tree with the asm-generic tree

From: "Arnd Bergmann" <[email-masked]>
Date: Mon, 23 Oct 2023 09:49:25 +0200

On Mon, Oct 23, 2023, at 09:28, Greg KH wrote:
> On Mon, Oct 23, 2023 at 02:43:27PM +1100, Stephen Rothwell wrote:
>> Hi all,
>> 
>> Today's linux-next merge of the tty tree got conflicts in:
>> 
>>   arch/ia64/kernel/setup.c
>>   drivers/firmware/pcdp.c
>> 
>> between commit:
>> 
>>   cf8e8658100d ("arch: Remove Itanium (IA-64) architecture")
>> 
>> from the asm-generic tree and commits:
>> 
>>   8a736ddfc861 ("vgacon: rework screen_info #ifdef checks")
>>   acfc78823326 ("vgacon: remove screen_info dependency")
>>   555624c0d10b ("vgacon: clean up global screen_info instances")
>> 
>> from the tty tree.
>> 
>> I fixed it up (I deleted the files) and can carry the fix as
>> necessary. This is now fixed as far as linux-next is concerned, but any
>> non trivial conflicts should be mentioned to your upstream maintainer
>> when your tree is submitted for merging.  You may also want to consider
>> cooperating with the maintainer of the conflicting tree to minimise any
>> particularly complex conflicts.
>
> Deleting the files are fine, thanks!

Agreed, I was aware of the conflict and considered dropping the
ia64 portion from the vgacon series, but it seemed cleaner to still
leave it in there with the trivial conflict after I had structured
it in a way that would not regress ia64 in the middle.

    Arnd